> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get push notification

> This endpoint fetches the details of a push notification identified by the externalId.



## OpenAPI

````yaml openapi/push-v1.json GET /v1/Notification/{externalId}
openapi: 3.0.1
info:
  title: Push.Api
  version: v1
servers:
  - url: https://{host}/push
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/Notification/{externalId}:
    get:
      tags:
        - S2S
      summary: Get push notification
      description: >-
        This endpoint fetches the details of a push notification identified by
        the externalId.
      parameters:
        - name: externalId
          in: path
          description: The external identifier of the push notification to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Push.Api.DTO.GetNotificationResponseV2'
            application/json:
              schema:
                $ref: '#/components/schemas/Push.Api.DTO.GetNotificationResponseV2'
            text/json:
              schema:
                $ref: '#/components/schemas/Push.Api.DTO.GetNotificationResponseV2'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Push.Api.DTO.GetNotificationResponseV2:
      type: object
      properties:
        id:
          type: integer
          description: Internal unique identifier of the push notification.
          format: int64
        title:
          type: string
          description: Title of the push notification.
          nullable: true
        name:
          type: string
          description: >-
            Name of the push activity. Falls back to the title for activities
            created without a name.
          nullable: true
        state:
          type: string
          description: >-
            Current state of the push notification (e.g., Draft, Scheduled,
            Delivered).
          nullable: true
        status:
          $ref: >-
            #/components/schemas/Push.ApplicationService.CQRS.Models.NotificationStatus
        deliveryDate:
          type: string
          description: The scheduled delivery date of the push notification.
          format: date-time
          nullable: true
        modifiedDate:
          type: string
          description: The date and time when the push notification was last modified.
          format: date-time
        authorId:
          type: string
          description: Identifier of the author who created the push notification.
          nullable: true
        authorName:
          type: string
          description: Name of the author who created the push notification.
          nullable: true
        message:
          type: string
          description: Message content of the push notification.
          nullable: true
        expirationDate:
          type: string
          description: >-
            Expiration date after which the notifications will no longer be
            sent.
          format: date-time
          nullable: true
        deepLink:
          $ref: '#/components/schemas/Push.Api.DTO.DeepLink'
        isReadyToDistribute:
          type: boolean
          description: Indicates whether the notification is ready to be distributed.
        isSegmented:
          type: boolean
          description: >-
            Obsolete. Indicates if the notification is segmented. Use
            Push.Api.DTO.GetNotificationResponse.SegmentationType instead.
          nullable: true
          deprecated: true
        segmentationType:
          $ref: '#/components/schemas/Push.Domain.SegmentationType'
        createdDate:
          type: string
          description: The date and time when the push notification was created.
          format: date-time
        segmentation:
          $ref: '#/components/schemas/Push.Api.DTO.SegmentationInfo'
        audienceIds:
          type: array
          items:
            type: string
          description: List of audience IDs targeted by the notification.
          nullable: true
        sentCount:
          type: integer
          description: Count of subscribed devices to which the notifications are sent.
          format: int64
          nullable: true
        openedCount:
          type: integer
          description: Number of recipients who opened the notification.
          format: int64
          nullable: true
        deliveredCount:
          type: integer
          description: Count of delivered messages which were received by the user.
          format: int64
          nullable: true
        storeId:
          type: string
          description: Identifier for store targeted by the notification
          nullable: true
        unifiedCampaignId:
          type: string
          description: Unified campaign identifier
          nullable: true
        externalId:
          type: string
          description: External identifier of the notification.
          nullable: true
        externalUrl:
          type: string
          description: External URL linked to the content or notification.
          nullable: true
        segmentationFile:
          type: string
          description: Obsolete. Use file info from Push.Api.DTO.SegmentationInfo instead.
          format: binary
          nullable: true
          readOnly: true
          deprecated: true
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Push.ApplicationService.CQRS.Models.NotificationStatus:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      format: int32
    Push.Api.DTO.DeepLink:
      type: object
      properties:
        id:
          maxLength: 125
          type: string
          description: >-
            Deep link identifier. Used to open a specific page from the
            application.
          nullable: true
        parameters:
          type: object
          additionalProperties:
            type: string
          description: >-
            Additional parameters for deep link. (e.g. redirect user to a
            specific entity from the page configured with DeepLinkId)
          nullable: true
        url:
          maxLength: 2047
          type: string
          description: Deep link URL for navigation.
          nullable: true
      additionalProperties: false
    Push.Domain.SegmentationType:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      format: int32
    Push.Api.DTO.SegmentationInfo:
      type: object
      properties:
        membersCount:
          type: integer
          description: Number of members included in this segmentation.
          format: int32
        fileName:
          type: string
          description: Name of the segmentation file.
          nullable: true
        fileUrl:
          type: string
          description: URL to access the segmentation file.
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Opaque Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````